package com.autentia.adictosaltrabajo.gae.persistence;

import java.text.SimpleDateFormat;
import java.util.Date;

import com.google.appengine.api.datastore.Entity;

public class Tutorial {

	public static final String TUTORIAL_ENTITY = "Tutorial";
	
	public static final String AUTOR = "autor";
	
	public static final String TUTORIAL = "tutorial";
	
	public static final String FECHA = "fecha";

	private static SimpleDateFormat formatter = new SimpleDateFormat("dd/MM/yyyy");
	
	private Entity entity = new Entity (TUTORIAL_ENTITY);
	
	// -------------------------------- //
	// constructores                    //
	// -------------------------------- //
	
	public Tutorial(final String autor, final String tutorial) {
		entity.setProperty(AUTOR, autor);
		entity.setProperty(TUTORIAL, tutorial);
		entity.setProperty(FECHA, new Date());
	}

	public Tutorial(final String autor, final String tutorial, final Date fecha) {
		entity.setProperty(AUTOR, autor);
		entity.setProperty(TUTORIAL, tutorial);
		entity.setProperty(FECHA, fecha);
	}
	
	// --------------------------------------- //
	// getters de los atributos de la entidad  //
	// y de la propia entidad                  //
	// --------------------------------------- //
	
	public String getAutor() {
		return (String) entity.getProperty(AUTOR);
	}

	public String getFecha() {
		return formatter.format((Date) entity.getProperty(FECHA));
	}

	public String getTutorial() {
		return (String) entity.getProperty(TUTORIAL);
	}
	
	public Entity getEntity () {
		return entity;
	}
}
